@import "_functions.scss";
//
//1. FONTS
//

//NEW INCLUDE FONTS FROM MIXIN
@include font-face('Ion', '../fonts/Ionicons/Ionicons', 400, normal, eot woff woff2 ttf);
@include font-face('MaisonMedium', '../fonts/MaisonNeue/MaisonNeue-Medium', 500, normal, eot woff woff2 ttf);
@include font-face('MaisonMono', '../fonts/MaisonNeue/MaisonNeue-Mono', 400, normal, eot woff woff2 ttf);
@include font-face('MillerItalic', '../fonts/MillerDisplay/MillerDisplay-ItalicSC', 400, normal, eot woff woff2 ttf);
@include font-face('MillerSemibold', '../fonts/MillerDisplay/MillerDisplay-SemiboldItalic', 400, normal, eot woff woff2 ttf);

$font-family-main: 'MaisonMedium', sans-serif;
$font-family-mono: 'MaisonMono', sans-serif;
$font-family-italic: 'Miller', serif;
$font-family-semibold: 'MillerSemibold', sans-serif;
$font-family-ion: 'Ion', sans-serif;

//SIZE
$font-size-main: 18px;
$font-size-h1: 35px;
$font-size-h2:32px;
$font-size-h3:24px;
$font-size-h4:18px;

//LINE HEIGHT
$line-height-main: 1.2;

//WEIGHT
$font-weight-main: 500;
$font-weight-title: 700;

//
//2. COLORS
//
$color-main: #f5f5f5;
$color-white: #fff;
$color-black:#000;

//3. BUTTONS
$button: (
	max-width: 100%,
	min-width: 170px,
	padding:0 10px,
	height: 54px,
	line-height: 54px,
	font-family: $font-family-main,
	font-size: 17px,
	font-weight: 500,
	border-width: 1px,
	border-radius: 25px,
	letter-spacing: 0.9px,
	border-color: $color-main
);

// primary

$btn-primary-bg: $color-white;
$btn-primary-bgHover: $color-black;
$btn-primary-bgActive: lighten($color-main, 10%);

$btn-primary-color: $color-black;
$btn-primary-colorHover: $color-white;
$btn-primary-colorActive: $color-white;

$btn-primary-border: btn(border-width) solid $color-black;
$btn-primary-borderHover: btn(border-width) solid $color-white;
$btn-primary-borderActive: btn(border-width) solid $color-black;

//4.FORMS
//

$form-width: 100%;
$group-width:100%;

//inputs

$input-width: 500px;
$input-height: 54px;


$input: (
	width: 100%,
	max-width:500px,
	height: 54px,
	font-family: $font-family-main,
	font-size: 18px,
	opacity: 0.4,
	font-weight: $font-weight-main,
	font-style: normal,
	color: $color-black,
	placeholder: $color-black,
	transition: all .3s,
	background: transparent,
	text-align: left,
);


// 5. @MEDIA QUERIES
//
$breakpoints: (
	"phone":   481px,
	"tablet-small": 601px,
	"tablet":       768px,
	"laptop":      980px,
	"desktop":      1200px,
	"desktop-max":      1920px,
);

//
// 6. Z-INDEX ELEMENTS
//

$z-layers: (
	back: -1,
	default: 1,
	button: 3
);


